searchData={"content_type":"text/markdown","items":[{"doc":"Generates a coverage report for the code in a git diff.\nTo use it as a coverage module:\n\n```\n  def project() do\n    [\n      ...\n      test_coverage: [tool: CoverDiff, base_branch: \"my_base_branch\"]\n      ...\n    ]\n  end\n```\nThe diff will span between your current HEAD and the specified branch in\nyour `:test_coverage` options:\n\n  * `:base_branch` - branch to diff against, defaults to `\"master\"`\n  * `:context` - how many lines to show around uncovered lines in reports,\n    defaults to 2\n\nCoverDiff currently does not work with umbrella applications.\n\nCoverDiff can also be used as a Mix task without polluting your project\nconfiguration. This lets you use any cover tool capable of exporting\n.coverdata files during tests and analyze them afterwards using CoverDiff.\nCheck Mix.Tasks.CoverDiff for details.","ref":"CoverDiff.html","title":"CoverDiff","type":"module"},{"doc":"","ref":"CoverDiff.html#generate_cover_results/2","title":"CoverDiff.generate_cover_results/2","type":"function"},{"doc":"","ref":"CoverDiff.html#run/1","title":"CoverDiff.run/1","type":"function"},{"doc":"THis module wraps the Erlang `:cover` module functionality.","ref":"CoverDiff.Cover.html","title":"CoverDiff.Cover","type":"module"},{"doc":"Returns the result of coverage analysis","ref":"CoverDiff.Cover.html#analyze/0","title":"CoverDiff.Cover.analyze/0","type":"function"},{"doc":"Reads a diff and cover_compile only the files relevant to the diff.","ref":"CoverDiff.Cover.html#compile_from_diff/1","title":"CoverDiff.Cover.compile_from_diff/1","type":"function"},{"doc":"Imports coverage data generated by a cover module from the output directory.","ref":"CoverDiff.Cover.html#import_coverage/1","title":"CoverDiff.Cover.import_coverage/1","type":"function"},{"doc":"Returns the relative file path of a module.","ref":"CoverDiff.Cover.html#module_path/1","title":"CoverDiff.Cover.module_path/1","type":"function"},{"doc":"Gets all cover_compiled modules","ref":"CoverDiff.Cover.html#modules/0","title":"CoverDiff.Cover.modules/0","type":"function"},{"doc":"Parses a diff into a list of additions and context, excluding deletions.\nFor simplicity, the diff will be generated with the --no-prefix option\n(meaning there will be no \"a/\" and \"b/\" prefixes before file paths.)","ref":"CoverDiff.Diff.html","title":"CoverDiff.Diff","type":"module"},{"doc":"Runs the git diff command and parses the result.","ref":"CoverDiff.Diff.html#get_diff/2","title":"CoverDiff.Diff.get_diff/2","type":"function"},{"doc":"Parses a diff in string format into a list of changes per file,\ntaking only added or context lines (not deletions).","ref":"CoverDiff.Diff.html#parse/1","title":"CoverDiff.Diff.parse/1","type":"function"},{"doc":"","ref":"CoverDiff.Output.html","title":"CoverDiff.Output","type":"module"},{"doc":"","ref":"CoverDiff.Output.html#add_spacers/1","title":"CoverDiff.Output.add_spacers/1","type":"function"},{"doc":"","ref":"CoverDiff.Output.html#export/2","title":"CoverDiff.Output.export/2","type":"function"},{"doc":"","ref":"CoverDiff.Output.html#export/3","title":"CoverDiff.Output.export/3","type":"function"},{"doc":"","ref":"CoverDiff.Output.html#format_lines/2","title":"CoverDiff.Output.format_lines/2","type":"function"},{"doc":"","ref":"CoverDiff.Output.html#html_template/1","title":"CoverDiff.Output.html_template/1","type":"function"},{"doc":"","ref":"CoverDiff.Output.html#select_lines_to_display/2","title":"CoverDiff.Output.select_lines_to_display/2","type":"function"},{"doc":"","ref":"CoverDiff.Output.html#stats/1","title":"CoverDiff.Output.stats/1","type":"function"},{"doc":"Generates a coverage report for the code in a git diff.\n\n```\nmix test --cover --export-coverage  \nmix cover_diff --base-branch   --context   --threshold  \n```\n\nUnles specified in the command, the arguments will be fetched from the\n`:test_coverage` configuration, falling back to default values.","ref":"Mix.Tasks.CoverDiff.html","title":"mix cover_diff","type":"task"},{"doc":"# CoverDiff\n\n**TODO: Add description**","ref":"readme.html","title":"CoverDiff","type":"extras"},{"doc":"Add `cover_diff` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:cover_diff, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation","title":"Installation - CoverDiff","type":"extras"}]}